package com.nokia.sms.sgip.servlet;

import java.io.IOException;

import javax.servlet.Servlet;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;

import com.nokia.sms.sgip.mo.server.MOServer;

public class MOServerServlet implements Servlet {
    
    public void destroy() {
        MOServer.getInstance().dispose();
    }

    public ServletConfig getServletConfig() {
        return null;
    }

    public String getServletInfo() {
        return null;
    }

    public void init(ServletConfig arg0)
            throws ServletException {
        MOServer.getInstance();
    }

    public void service(ServletRequest arg0, ServletResponse arg1)
            throws ServletException, IOException {
    }
}
